CREATE TABLE hrc_dl_bus_obj_inclusions (
    BUS_OBJ_INCLUSION_ID     NUMBER(18, 0) ,
    DYNAMIC_HIERARCHY        VARCHAR2(4)   ,
    HSDL_SECURED             VARCHAR2(120) ,
    BUSINESS_OBJECT_ID       NUMBER(18, 0)     NOT NULL,
    HSDL_ENABLED             VARCHAR2(120)     NOT NULL,
    DOWNLOAD_ENABLED         VARCHAR2(120)     NOT NULL,
    INCLUSION_ENABLED        VARCHAR2(80)      NOT NULL,
    ROLLBACK_ENABLED         VARCHAR2(4)   ,
    ORACLE_SEARCH_ENABLED    VARCHAR2(4)   ,
    POST_PROCESS_ENABLED     VARCHAR2(4)   ,
    SGUID                    VARCHAR2(128)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    BUS_OBJ_INCLUSION_ID     NUMBER(18, 0) ,
    BUSINESS_OBJECT_ID       NUMBER(18, 0)     NOT NULL,
    HSDL_ENABLED             VARCHAR2(120)     NOT NULL,
    DOWNLOAD_ENABLED         VARCHAR2(120)     NOT NULL,
    INCLUSION_ENABLED        VARCHAR2(80)      NOT NULL,
    SGUID                    VARCHAR2(128)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    HSDL_SECURED             VARCHAR2(120) ,
    ROLLBACK_ENABLED         VARCHAR2(4)   ,
    ORACLE_SEARCH_ENABLED    VARCHAR2(4)   ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    POST_PROCESS_ENABLED     VARCHAR2(4)   ,
    DYNAMIC_HIERARCHY        VARCHAR2(4)   ,
    CONSTRAINT pk_hrc_dl_bus_obj_inclusions PRIMARY KEY (BUS_OBJ_INCLUSION_ID, BUS_OBJ_INCLUSION_ID)
);
